petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMPIBAIJSetHashTableFactor

Sets the factor required to compute the size of the HashTable.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIBAIJSetHashTableFactor(Mat mat,PetscReal fact)

### Input Parameters

mat -the matrix
fact -factor

Not Collective, each process can use a different factor

### Notes

This can also be set by the command line option: -mat_use_hash_table <fact>

### Keywords

matrix, hashtable, factor, HT

### See Also

MatSetOption()

### Level

advanced

### Location

src/mat/impls/baij/mpi/mpibaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages